searchNodes=[{"ref":"Mix.Tasks.Phx.Gen.Html.Slime.html","title":"Mix.Tasks.Phx.Gen.Html.Slime","type":"task","doc":"This file was adapted from the original Phoenix html generator found here: https://github.com/phoenixframework/phoenix/blob/v1.3.0/lib/mix/tasks/phx.gen.html.ex Generates controller, views, and context for an HTML resource. mix phx.gen.html.slime Accounts User users name:string age:integer The first argument is the context module followed by the schema module and its plural name (used as the schema table name). The context is an Elixir module that serves as an API boundary for the given resource. A context often holds many related resources. Therefore, if the context already exists, it will be augmented with functions for the given resource. Note a resource may also be split over distinct contexts (such as Accounts.User and Payments.User). The schema is responsible for mapping the database fields into an Elixir struct. Overall, this generator will add the following files to lib/: a context module in lib/app/accounts/accounts.ex for the accounts API a schema in lib/app/accounts/user.ex, with an users table a view in lib/app_web/views/user_view.slime a controller in lib/app_web/controllers/user_controller.ex default CRUD templates in lib/app_web/templates/user A migration file for the repository and test files for the context and controller features will also be generated. The location of the web files (controllers, views, templates, etc) in an umbrella application will vary based on the :context_app config located in your applications :generators configuration. When set, the Phoenix generators will generate web files directly in your lib and test folders since the application is assumed to be isolated to web specific functionality. If :context_app is not set, the generators will place web related lib and test files in a web/ directory since the application is assumed to be handling both web and domain specific functionality. Example configuration: config :my_app_web, :generators, context_app: :my_app Alternatively, the --context-app option may be supplied to the generator: mix phx.gen.html.slime Sales User users --context-app warehouse Web namespace By default, the controller and view will be namespaced by the schema name. You can customize the web module namespace by passing the --web flag with a module name, for example: mix phx.gen.html.slime Sales User users --web Sales Which would geneate a lib/app_web/controllers/sales/user_controller.ex and lib/app_web/views/sales/user_view.ex. Generating without a schema or context file In some cases, you may wish to boostrap HTML templates, controllers, and controller tests, but leave internal implementation of the context or schema to yourself. You can use the --no-context and --no-schema flags for file generation control. table By default, the table name for the migration and schema will be the plural name provided for the resource. To customize this value, a --table option may be provided. For example: mix phx.gen.html.slime Accounts User users --table cms_users binary_id Generated migration can use binary_id for schema&#39;s primary key and its references with option --binary-id. Default options This generator uses default options provided in the :generators configuration of your application. These are the defaults: config :your_app, :generators, migration: true, binary_id: false, sample_binary_id: &quot;11111111-1111-1111-1111-111111111111&quot; You can override those options per invocation by providing corresponding switches, e.g. --no-binary-id to use normal ids despite the default configuration or --migration to force generation of the migration. Read the documentation for phx.gen.schema for more information on attributes."},{"ref":"Mix.Tasks.Phx.Gen.Layout.Slime.html","title":"Mix.Tasks.Phx.Gen.Layout.Slime","type":"task","doc":"Generates a Phoenix layout file in Slime. mix phx.gen.layout.slime"},{"ref":"Mix.Tasks.Phx.Gen.Layout.Slime.html#run/1","title":"Mix.Tasks.Phx.Gen.Layout.Slime.run/1","type":"function","doc":"A task needs to implement run which receives a list of command line args. Callback implementation for Mix.Task.run/1."},{"ref":"PhoenixSlime.html","title":"PhoenixSlime","type":"module","doc":""},{"ref":"PhoenixSlime.html#sigil_L/2","title":"PhoenixSlime.sigil_L/2","type":"macro","doc":"Provides the ~L sigil with HTML safe Slime syntax inside source files. iex&gt; import PhoenixSlime iex&gt; ~L&quot;&quot;&quot; ...&gt; p hello \#{&quot;world&quot;} ...&gt; &quot;&quot;&quot; {:safe, [[[&quot;&quot; | &quot;&lt;p&gt;hello &quot;] | &quot;world&quot; ] | &quot;&lt;/p&gt;&quot;]}"},{"ref":"PhoenixSlime.html#sigil_l/2","title":"PhoenixSlime.sigil_l/2","type":"macro","doc":"Provides the ~l sigil with HTML safe Slime syntax inside source files. Raises on attempts to use \#{}. Use ~L to allow templating with \#{}. iex&gt; import PhoenixSlime iex&gt; assigns = %{w: &quot;world&quot;} iex&gt; ~l&quot;&quot;&quot; ...&gt; p = &quot;hello &quot; &lt;&gt; @w ...&gt; &quot;&quot;&quot; {:safe, [[[&quot;&quot; | &quot;&lt;p&gt;&quot;] | &quot;hello world&quot;] | &quot;&lt;/p&gt;&quot;]}"},{"ref":"PhoenixSlime.ConfiguredExtension.html","title":"PhoenixSlime.ConfiguredExtension","type":"module","doc":""},{"ref":"PhoenixSlime.ConfiguredExtension.html#file_extension/0","title":"PhoenixSlime.ConfiguredExtension.file_extension/0","type":"function","doc":""},{"ref":"PhoenixSlime.Engine.html","title":"PhoenixSlime.Engine","type":"module","doc":""},{"ref":"PhoenixSlime.Engine.html#compile/2","title":"PhoenixSlime.Engine.compile/2","type":"function","doc":"Precompiles the String file_path into a function definition"},{"ref":"PhoenixSlime.LiveViewEngine.html","title":"PhoenixSlime.LiveViewEngine","type":"module","doc":""},{"ref":"PhoenixSlime.LiveViewEngine.html#compile/2","title":"PhoenixSlime.LiveViewEngine.compile/2","type":"function","doc":"Precompiles the String file_path into a function definition"}]